import ApolloClient from 'apollo-client';
import getProduct from './api/getProduct';
import getCategory from './api/getCategory';
import createCart from './api/createCart';
import updateCart from './api/updateCart';
import getCart from './api/getCart';
import addToCart from './api/addToCart';
import removeFromCart from './api/removeFromCart';
import updateCartQuantity from './api/updateCartQuantity';
import getMe from './api/getMe';
import createMyOrderFromCart from './api/createMyOrderFromCart';
import getShippingMethods from './api/getShippingMethods';
import updateShippingDetails from './api/updateShippingDetails';
import customerSignMeUp from './api/customerSignMeUp';
import customerSignMeIn from './api/customerSignMeIn';
import customerSignOut from './api/customerSignOut';
import getMyOrders from './api/getMyOrders';
import applyCartCoupon from './api/applyCartCoupon';
import removeCartCoupon from './api/removeCartCoupon';
import customerChangeMyPassword from './api/customerChangeMyPassword';
import createAccessToken from './helpers/createAccessToken';
import { Config, ConfigurableConfig } from './types/setup';
export * from './types/Api';
export * from './types/setup';
export * as cartActions from './helpers/cart/actions';
declare let apolloClient: ApolloClient<any>;
declare const setup: (config: Config) => void, update: (config: ConfigurableConfig) => void, getSettings: () => Config;
export { getSettings, createAccessToken, apolloClient, setup, update, getProduct, getCategory, createCart, updateCart, getCart, addToCart, removeFromCart, getMe, updateCartQuantity, createMyOrderFromCart, getShippingMethods, updateShippingDetails, customerSignMeUp, customerSignMeIn, customerSignOut, applyCartCoupon, removeCartCoupon, getMyOrders, customerChangeMyPassword };
